## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global giturl  https://github.com/ezaffanella/PPLite

Name:           pplite
Version:        0.12
Release:        %autorelease
Summary:        Convex polyhedra library for abstract interpretation

License:        GPL-3.0-or-later
URL:            https://www.cs.unipr.it/~zaffanella/PPLite/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/%{name}-%{version}-tag.tar.gz

# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig(flint)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)

%description
PPLite is an open-source C++ library implementing the abstract domain of
convex polyhedra, to be used in tools for static analysis and
verification.

%package        devel
Summary:        Development files for PPLite
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Header files and library links for developing applications that use
PPLite.

%package        tools
Summary:        Command line tools to use PPLite functionality
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
Command line tools to use PPLite functionality.

%prep
%autosetup -n PPLite-%{name}-%{version}-tag

%conf
autoreconf -fi .

%build
# GMP integers currently required by apron
%configure --disable-arch --disable-static --enable-integers=gmp
%make_build

%install
%make_install

# FIXME: boxed_inters test02 fails on ppc64le only
%ifnarch ppc64le
%check
make check
%endif

%files
%license COPYING
%doc CREDITS
%{_libdir}/libpplite.so.5*

%files devel
%{_includedir}/pplite/
%{_libdir}/libpplite.so

%files tools
%{_bindir}/pplite_lcdd

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Jerry James <loganjerry@gmail.com> - 0.12-5
- Move configuration steps to %%conf

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 0.12-3
- Fix VCS field

* Thu Jun 13 2024 Jerry James <loganjerry@gmail.com> - 0.12-2
- Temporarily disable tests on ppc64le

* Thu Jun 13 2024 Jerry James <loganjerry@gmail.com> - 0.12-1
- Version 0.12

* Wed Mar 13 2024 Jerry James <loganjerry@gmail.com> - 0.11-5
- Rebuild for flint 3.1.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Jerry James <loganjerry@gmail.com> - 0.11-2
- Stop building for 32-bit x86

* Thu Aug 03 2023 Jerry James <loganjerry@gmail.com> - 0.11-1
- Initial RPM
## END: Generated by rpmautospec
